Subject: Re: bug#58318: 28.2; Emacs installed from package won't work with MinGW

From: Eli Zaretskii <[email-masked]>
Date: Fri, 07 Oct 2022 22:15:09 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: Corwin Brust <[email-masked]>, [email-masked], [email-masked],
>         [email-masked]
> Date: Fri, 07 Oct 2022 17:15:36 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> From: Corwin Brust <[email-masked]>
> >> Date: Fri, 7 Oct 2022 10:34:38 -0500
> >> Cc: Andrea Corallo <[email-masked]>, [email-masked], [email-masked], 
> >> 	[email-masked]
> >> 
> >> FWIW, It appeared to take around 12 minutes to build all trampolines
> >> starting from the "installed" Emacs that was the source for the 28.2
> >> binary zips.
> >
> > Is that serially, i.e. using a single Emacs process at a time?
> 
> The other (last?) option is to have one single .eln containing all
> trampolines.  It should be very quick to compile, the downside is some
> more memory usage (we'd have to load and map this .eln when the first
> trampoline is requested).

I'm not sure this is necessary, since the trampolines only need to be
built as part of preparing a binary distribution.